LIGHTNING-MAKESECRET(7)

NAME

lightning-makesecret -- Command for deriving pseudorandom key from HSM

SYNOPSIS

makesecret [hex] [string]

DESCRIPTION

The makesecret RPC command derives a secret key from the HSM_secret.

One of hex or string must be specified: hex can be any hex data, string is a UTF-8 string interpreted literally.

RETURN VALUE

On success, an object is returned, containing:

•   secret (secret): the pseudorandom key derived from HSM_secret

The following error codes may occur:

•   -1: Catchall nonspecific error.

AUTHOR

Aditya <aditya.sharma20111@gmail.com> is mainly responsible.

RESOURCES

Main web site: https://github.com/ElementsProject/lightning